
/* slideshow nav */
function goRight(distance,speed){
	jQuery('#slideshownav li').each(function(){
		jQuery(this).animate({left: '-=' + distance + 'px'}, speed);
	}); 
};
function goLeft(distance,speed){
	jQuery('#slideshownav li').each(function(){
		jQuery(this).animate({left: '+=' + distance + 'px'}, speed);
	});
};
function initSlidebar(slideBarItems,speed){
	var itemWidth = 145;
	var navWidth  = 725;
	if(typeof slideBarItems == 'undefined')
		slideBarItems = 2;
	slideBarItems = parseInt(slideBarItems);
	speed = parseInt(speed);
	switch(slideBarItems){
		case 1:
			itemWidth = 720;
			navWidth  = 720;
			break;
		case 2:
			itemWidth = 360;
			navWidth  = 720;
			break;
		case 3:
			itemWidth = 241;
			navWidth  = 723;
			break;
		case 4:
			itemWidth = 181;
			navWidth  = 724;
			break;
		case 5:
			itemWidth = 145;
			navWidth  = 725;
			break;
		default:
			itemWidth = 121;
			navWidth  = 726;
			break;
	}

	jQuery("#slideshownav li:last").addClass("last");
	jQuery('#slideshownav').css({"width":navWidth+"px"}); 
	jQuery('#slideshownext').addClass('active');	
	jQuery('#slideshowprev').addClass('active');	
	var itemLength=jQuery('#slideshownav li').length;
	var showNum=parseInt(navWidth/itemWidth);
	jQuery('#slideshownav li').each(function(i){
		jQuery(this).css({left:itemWidth*i});
		jQuery(this).find("a").attr('id','slidenav'+(i+1)).css({"width":(itemWidth-20)+"px"});
		jQuery(this).fadeIn(200);
	});	
	jQuery('#pauseButton').click(function(){
		jQuery('#button_pause').hide(); 
		jQuery('#button_play').show();  
	});
	jQuery('#resumeButton').click(function(){
		jQuery('#button_play').fadeOut(300); 
		jQuery('#button_pause').fadeIn(200);  
	});
	jQuery('#slideshownav li a').live('click',function(){
		if(itemLength>showNum){
			if( (jQuery(this).parent().css('left')=="0px") && (jQuery("#slideshownav li:first").css('left')!="0px") ) {
				goLeft(itemWidth);
			}
			if( (jQuery(this).parent().css('left')==(showNum-1)*itemWidth+"px") && !jQuery(this).parent().hasClass('last') ){
				goRight(itemWidth);
			}
		}
	});
	jQuery('#slideshownav').bind('changeActive',function(event, curr){
		if(itemLength>showNum){
			if(curr == (itemLength-1) && jQuery("#slidenav1").parent().css('left')=="0px"){
				goRight((itemLength-showNum)*itemWidth);
			}else if((typeof curr =='undefined'||curr== 0) && jQuery("#slidenav"+itemLength).parent().css('left')==(showNum-1)*itemWidth+"px"){
				goLeft((itemLength-showNum)*itemWidth);
			}else if(jQuery("#slidenav"+(curr+1)).parent().css('left')==showNum*itemWidth+"px"){
				goRight(itemWidth);
			}else if(jQuery("#slidenav"+(curr+1)).parent().css('left')=="-"+itemWidth+"px"){
				goLeft(itemWidth);
			}
		}
	});
}
